std::geometric_distribution< _IntType >(3)

NAME
std::geometric_distribution< _IntType > - A discrete geometric random number distribution.

SYNOPSIS

  Classes
struct param_type

  Public Types
typedef _IntType result_type

  Public Member Functions
geometric_distribution (const param_type &__p)
geometric_distribution (double __p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type max () const
Returns the least upper bound value of the distribution.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
double p () const
Returns the distribution parameter p.
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
void reset ()
Resets the distribution state.

  Friends
bool operator== (const geometric_distribution &__d1, const geometric_distribution &__d2)
Return true if two geometric distributions have the same parameters.

Detailed Description

  template<typename _IntType = int>
class std::geometric_distribution< _IntType >" A discrete geometric random number distribution. The formula for the geometric probability density function is $p(i|p) = p(1 - p)^{i}$ where $p$ is the parameter of the distribution.

Definition at line 3969 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.